'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _handleActions;

var _reduxActions = require('redux-actions');

var _actions = require('./actions');

var _Chart = require('./Chart');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var handleSetPosition = function handleSetPosition(state, _ref) {
  var _ref$payload = _ref.payload,
      x = _ref$payload.x,
      y = _ref$payload.y;

  return state.set('x', x).set('y', y);
};

var handleHoverSection = function handleHoverSection(state, _ref2) {
  var payload = _ref2.payload;

  if (state.hovered === payload || payload && state.hovered === payload.category_id) {
    return state;
  }
  return state.set('hovered', payload ? payload.category_id : null);
};

exports.default = (0, _reduxActions.handleActions)((_handleActions = {}, _defineProperty(_handleActions, _actions.onSetChartPosition, handleSetPosition), _defineProperty(_handleActions, _actions.onHoverSection, handleHoverSection), _handleActions), new _Chart.Chart());