'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closeDialog = exports.showDialog = undefined;

var _reduxActions = require('redux-actions');

var showDialog = exports.showDialog = (0, _reduxActions.createAction)('DIALOG_SHOW', function (Component, props) {
  var name = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'common';
  return { Component: Component, props: props, name: name };
});

var closeDialog = exports.closeDialog = (0, _reduxActions.createAction)('DIALOG_CLOSE');