'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = exports.lastPopup = exports.dialog = undefined;

var _reselect = require('reselect');

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _last = require('lodash/last');

var _last2 = _interopRequireDefault(_last);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dialog = exports.dialog = function dialog(state) {
  return state.dialog;
};
var lastPopup = exports.lastPopup = (0, _reselect.createSelector)(dialog, function (dialog) {
  return (0, _last2.default)((0, _get2.default)(dialog, 'stack', []));
});
var Component = exports.Component = (0, _reselect.createSelector)([dialog, lastPopup], function (dialog, lastPopup) {
  var Component = (0, _get2.default)(dialog, [lastPopup, 'Component']);
  var props = (0, _get2.default)(dialog, [lastPopup, 'props']);
  return Component ? { Component: Component, props: props } : null;
});