'use strict';

var _testHelper = require('../../../testHelper');

var _actions = require('../actions');

var ENTITY_NAME = 'I18N';

describe('i18n actions', function () {
  describe('onAccountsFetch', function () {
    (0, _testHelper.requestActionTest)(_actions.onI18nFetch, ENTITY_NAME + '/FETCH', { request: { url: '/translations/ru/common' } }, ['ru', '/common']);
  });

  it('onChangeLanguage', function () {
    var payload = 'ru';
    var action = {
      type: ENTITY_NAME + '/CHANGE_LANGUAGE',
      payload: payload
    };
    expect((0, _actions.onChangeLanguage)(payload)).toEqual(action);
  });
});