'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spendingIsLoaded = exports.spendingIsLoading = exports.spending = undefined;

var _reselect = require('reselect');

var baseState = function baseState(state) {
  return state.lists.spending;
};
var spending = exports.spending = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('list');
});
var spendingIsLoading = exports.spendingIsLoading = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoading');
});
var spendingIsLoaded = exports.spendingIsLoaded = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoaded');
});