'use strict';

var _User = require('../User');

var _User2 = _interopRequireDefault(_User);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('User Record', function () {
  describe('rehydrate from js', function () {
    var record = new _User2.default({
      receiving: [{ id: 1 }],
      spending: [{ id: 12 }],
      ratios: {
        list: [{
          name: 'RatioTestName'
        }]
      }
    }).rehydrate();
    it('receiving', function () {
      expect(record.receiving._name).toBe('UserReceivings');
    });
    it('spending', function () {
      expect(record.spending._name).toBe('UserSpendings');
    });
    it('ratios', function () {
      expect(record.ratios._name).toBe('UserRatios');
      expect(record.ratios.list[0].name).toBe('RatioTestName');
    });
  });
});