'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onSaveRatio = undefined;

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _reduxForm = require('redux-form');

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var onSaveRatio = exports.onSaveRatio = function onSaveRatio(values, index) {
  return function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(dispatch) {
      var res;
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.prev = 0;
              res = void 0;

              if (!(index >= 0)) {
                _context.next = 8;
                break;
              }

              _context.next = 5;
              return dispatch((0, _actions.onPutRatio)(values, index));

            case 5:
              res = _context.sent;
              _context.next = 11;
              break;

            case 8:
              _context.next = 10;
              return dispatch((0, _actions.onPostRatio)(values));

            case 10:
              res = _context.sent;

            case 11:
              if (!res.error) {
                _context.next = 13;
                break;
              }

              throw new _reduxForm.SubmissionError((0, _get2.default)(res, ['error', 'response', 'data', 'errors'], { _error: 'Unknown Error' }));

            case 13:
              _context.next = 18;
              break;

            case 15:
              _context.prev = 15;
              _context.t0 = _context['catch'](0);
              throw _context.t0;

            case 18:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined, [[0, 15]]);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};