'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserReceivings = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _immutable = require('immutable');

var _Ratios = require('../ratios/Ratios');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UserReceivingsRecord = (0, _immutable.Record)({
  isLoading: false,
  list: (0, _immutable.List)()
}, 'UserReceivings');

var UserReceivings = exports.UserReceivings = function (_UserReceivingsRecord) {
  _inherits(UserReceivings, _UserReceivingsRecord);

  function UserReceivings() {
    _classCallCheck(this, UserReceivings);

    return _possibleConstructorReturn(this, (UserReceivings.__proto__ || Object.getPrototypeOf(UserReceivings)).apply(this, arguments));
  }

  _createClass(UserReceivings, [{
    key: 'rehydrate',
    value: function rehydrate() {
      this.setArrayField('list', _Ratios.Ratio, 'Ratio');
      return this;
    }
  }, {
    key: 'setArrayField',
    value: function setArrayField(field, RecordEntity, recordName) {
      if (this[field] && this[field].map) {
        this._map = this.set(field, this[field].map(function (el) {
          if (el._name !== recordName) {
            return new RecordEntity(el);
          }
          return el;
        }));
      }
    }
  }]);

  return UserReceivings;
}(UserReceivingsRecord);