'use strict';

var _reducer = require('../reducer');

var _reducer2 = _interopRequireDefault(_reducer);

var _UserReceivings = require('../UserReceivings');

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('UserReceiving reducer', function () {
  it('should handle receivingReducer', function () {
    var newState = (0, _reducer2.default)(new _UserReceivings.UserReceivings(), (0, _actions.onFetchUserReceiving)());
    expect(newState.isLoading).toBeTruthy();
  });

  it('should not change another entities when change UserReceiving', function () {
    var newState = (0, _reducer2.default)(new _UserReceivings.UserReceivings(), (0, _actions.onFetchUserReceiving)());
    expect(newState.isLoading).toBeTruthy();
  });
});