'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _handleActions;

var _reduxActions = require('redux-actions');

var _immutable = require('immutable');

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _UserReceivings = require('./UserReceivings');

var _actions = require('./actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var getUserReceiving = function getUserReceiving(state) {
  return state.set('isLoading', true);
};

var getSuccess = function getSuccess(state, _ref) {
  var payload = _ref.payload;

  return state.set('isLoading', false).set('list', (0, _immutable.List)((0, _get2.default)(payload, ['data', 'data', 'items'], []).map(function (i) {
    return (0, _immutable.Map)(i);
  })));
};

var getFail = function getFail(state) {
  return state.set('isLoading', false);
};

exports.default = (0, _reduxActions.handleActions)((_handleActions = {}, _defineProperty(_handleActions, _actions.onFetchUserReceiving, getUserReceiving), _defineProperty(_handleActions, _actions.onFetchUserReceiving.success, getSuccess), _defineProperty(_handleActions, _actions.onFetchUserReceiving.fail, getFail), _handleActions), new _UserReceivings.UserReceivings());