'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.userSpendingById = exports.userSpending = undefined;

var _reselect = require('reselect');

var baseState = function baseState(state) {
  return state.user.spending;
};
var userSpending = exports.userSpending = (0, _reselect.createSelector)(baseState, function (spending) {
  return spending.get('list');
});
var userSpendingById = exports.userSpendingById = (0, _reselect.createSelector)(userSpending, function (list) {
  return function (id) {
    return list.find(function (el) {
      return el.id === id;
    }) || {
      color: 'black',
      icon_id: 1
    };
  };
});