'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logout = undefined;

var _actions = require('../../notifications/actions');

var _selectors = require('../../persist/selectors');

var _actions2 = require('../../analytics/actions');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var logout = exports.logout = function logout() {
  return function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(dispatch, getState) {
      var state, persist;
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              state = getState();
              persist = (0, _selectors.persistStore)(state);

              try {
                persist.flush();
                dispatch(_actions.notify.success('Logout Successfully'));
              } catch (e) {
                dispatch(_actions2.analytics.error(e, 'Logout Action'));
                dispatch(_actions.notify.error('Unknown Error'));
              }

            case 3:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function (_x, _x2) {
      return _ref.apply(this, arguments);
    };
  }();
};