'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onVersionsFetch = undefined;

var _thunk = require('./thunk');

Object.keys(_thunk).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _thunk[key];
    }
  });
});

var _actionCreators = require('../../actionCreators');

var onVersionsFetch = exports.onVersionsFetch = (0, _actionCreators.createRequestActions)('VERSIONS/FETCH', function () {
  return {
    request: {
      url: '/versions'
    }
  };
});