'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getErrors = undefined;

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _reduce = require('lodash/reduce');

var _reduce2 = _interopRequireDefault(_reduce);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getErrors = exports.getErrors = function getErrors(response) {
  return (0, _reduce2.default)((0, _get2.default)(response, ['error', 'response', 'data'], []), function (result, val) {
    result[val.field] = val.message;
    return result;
  }, {});
};