import { Record } from 'immutable'

const LocationRecord = Record(
  {
    key: undefined,
    pathname: '/',
    search: undefined,
    state: undefined,
  },
  'Location'
)

export class Location extends LocationRecord {}

const RouterRecord = Record(
  {
    location: new Location(),
  },
  'Router'
)

export class Router extends RouterRecord {
  constructor(props) {
    super(props)
    if (this.get('location')._name !== 'Location') {
      this._map = this.set('location', new Location(props.location))
    }
  }
}
