'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRequestActions = createRequestActions;

var _reduxActions = require('redux-actions');

/*
 * Create Request action
 */
function createRequestActions(type, handler) {
  var action = (0, _reduxActions.createAction)(type, handler);
  action.success = (0, _reduxActions.createAction)(type + '_SUCCESS', function (payload) {
    return payload;
  }, function (payload, meta) {
    return meta;
  });
  action.fail = (0, _reduxActions.createAction)(type + '_FAIL', function (payload) {
    return payload;
  }, function (payload, meta) {
    return meta;
  });
  return action;
}