'use strict';

var _actions = require('../actions');

var ENTITY_NAME = 'ANALYTICS';
var action = void 0;

describe('analytics actions', function () {
  it('analytics.error', function () {
    action = {
      type: ENTITY_NAME + '/ERROR',
      payload: {
        error: 'error',
        title: 'title'
      }
    };
    expect(_actions.analytics.error('error', 'title')).toEqual(action);
  });

  it('analytics.track', function () {
    action = {
      type: ENTITY_NAME + '/TRACK',
      payload: 'payload'
    };
    expect(_actions.analytics.track('payload')).toEqual(action);
  });
});