'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.analytics = undefined;

var _reduxActions = require('redux-actions');

var _createActions = (0, _reduxActions.createActions)({
  ANALYTICS: {
    ERROR: function ERROR(error) {
      var title = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'Unknown Error';

      return { title: title, error: error };
    },
    TRACK: undefined
  }
}),
    analytics = _createActions.analytics;

exports.analytics = analytics;