'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _handleActions;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _reduxActions = require('redux-actions');

var _last = require('lodash/last');

var _last2 = _interopRequireDefault(_last);

var _filter = require('lodash/filter');

var _filter2 = _interopRequireDefault(_filter);

var _reduxPersist = require('redux-persist');

var _actions = require('./actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var initialState = {
  zIndex: 1000,
  stack: []
};

var handleFlush = function handleFlush() {
  return initialState;
};

var handleShowDialog = function handleShowDialog(state, _ref) {
  var _ref2;

  var payload = _ref.payload;
  return _ref2 = {}, _defineProperty(_ref2, payload.name, payload), _defineProperty(_ref2, 'zIndex', ++state.zIndex), _defineProperty(_ref2, 'stack', [].concat(_toConsumableArray(state.stack), [payload.name])), _ref2;
};

var handleCloseDialog = function handleCloseDialog(state) {
  var newState = _extends({}, state);
  var popupName = (0, _last2.default)(state.stack);
  delete newState[popupName];

  return _extends({}, newState, {
    zIndex: --state.zIndex,
    stack: (0, _filter2.default)(state.stack, function (o) {
      return o !== popupName;
    })
  });
};

exports.default = (0, _reduxActions.handleActions)((_handleActions = {}, _defineProperty(_handleActions, _reduxPersist.FLUSH, handleFlush), _defineProperty(_handleActions, _actions.showDialog, handleShowDialog), _defineProperty(_handleActions, _actions.closeDialog, handleCloseDialog), _handleActions), initialState);