'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onChangeLanguage = exports.onI18nFetch = undefined;

var _thunk = require('./thunk');

Object.keys(_thunk).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _thunk[key];
    }
  });
});

var _reduxActions = require('redux-actions');

var _actionCreators = require('../../actionCreators');

var onI18nFetch = exports.onI18nFetch = (0, _actionCreators.createRequestActions)('I18N/FETCH', function (language, pathname) {
  return {
    request: {
      url: '/translations/' + language + pathname
    }
  };
});

var onChangeLanguage = exports.onChangeLanguage = (0, _reduxActions.createAction)('I18N/CHANGE_LANGUAGE');