'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isLoaded = exports.isLoading = exports.accounts = exports.baseState = undefined;

var _reselect = require('reselect');

var baseState = exports.baseState = function baseState(state) {
  return state.lists.accounts;
};

var accounts = exports.accounts = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('list');
});
var isLoading = exports.isLoading = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoading');
});
var isLoaded = exports.isLoaded = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoaded');
});