'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isLoaded = exports.isLoading = exports.receiving = exports.baseState = undefined;

var _reselect = require('reselect');

var baseState = exports.baseState = function baseState(state) {
  return state.lists.receiving;
};
var receiving = exports.receiving = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('list');
});
var isLoading = exports.isLoading = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoading');
});
var isLoaded = exports.isLoaded = (0, _reselect.createSelector)([baseState], function (state) {
  return state.get('isLoaded');
});