'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Spending = undefined;

var _immutable = require('immutable');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SpendingRecord = (0, _immutable.Record)({
  id: null,
  name: null,
  description: null,
  icon_id: null,
  parent_id: null,
  items: (0, _immutable.List)()
}, 'Spending');

var Spending = exports.Spending = function (_SpendingRecord) {
  _inherits(Spending, _SpendingRecord);

  function Spending() {
    _classCallCheck(this, Spending);

    return _possibleConstructorReturn(this, (Spending.__proto__ || Object.getPrototypeOf(Spending)).apply(this, arguments));
  }

  return Spending;
}(SpendingRecord);