'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removedNotification = exports.lastNotification = exports.baseState = undefined;

var _reselect = require('reselect');

var baseState = exports.baseState = function baseState(state) {
  return state.notifications;
};
var lastNotification = exports.lastNotification = (0, _reselect.createSelector)(baseState, function (state) {
  return state.get('lastNotification').toJS();
});
var removedNotification = exports.removedNotification = (0, _reselect.createSelector)(baseState, function (state) {
  return state.get('removedNotification');
});