'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Router = exports.Location = undefined;

var _immutable = require('immutable');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LocationRecord = (0, _immutable.Record)({
  key: undefined,
  pathname: '/',
  search: undefined,
  state: undefined
}, 'Location');

var Location = exports.Location = function (_LocationRecord) {
  _inherits(Location, _LocationRecord);

  function Location() {
    _classCallCheck(this, Location);

    return _possibleConstructorReturn(this, (Location.__proto__ || Object.getPrototypeOf(Location)).apply(this, arguments));
  }

  return Location;
}(LocationRecord);

var RouterRecord = (0, _immutable.Record)({
  location: new Location()
}, 'Router');

var Router = exports.Router = function (_RouterRecord) {
  _inherits(Router, _RouterRecord);

  function Router(props) {
    _classCallCheck(this, Router);

    var _this2 = _possibleConstructorReturn(this, (Router.__proto__ || Object.getPrototypeOf(Router)).call(this, props));

    if (_this2.get('location')._name !== 'Location') {
      _this2._map = _this2.set('location', new Location(props.location));
    }
    return _this2;
  }

  return Router;
}(RouterRecord);