'use strict';

var _Router = require('../Router');

describe('Router Record test', function () {
  it('rehydrate from js', function () {
    var recFromJs = new _Router.Router({
      location: {
        key: 'key',
        pathname: '/pathname',
        search: '?search=true',
        state: { example: 'state' }
      }
    });
    expect(recFromJs.location._name).toEqual('Location');
    expect(recFromJs.location.key).toBe('key');
    expect(recFromJs.location.pathname).toBe('/pathname');
    expect(recFromJs.location.search).toBe('?search=true');
    expect(recFromJs.location.state).toEqual({ example: 'state' });
  });
});