'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _handleActions;

var _reduxActions = require('redux-actions');

var _reduxPersist = require('redux-persist');

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _actions = require('./actions');

var _Router = require('./Router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var handleRehydrate = function handleRehydrate(state, _ref) {
  var payload = _ref.payload;

  return new _Router.Router((0, _get2.default)(payload, ['router'], state));
};

var handleFlush = function handleFlush() {
  return new _Router.Router();
};

var handleLocationChange = function handleLocationChange(state, _ref2) {
  var payload = _ref2.payload;

  return state.set('location', new _Router.Location(payload));
};

exports.default = (0, _reduxActions.handleActions)((_handleActions = {}, _defineProperty(_handleActions, _reduxPersist.REHYDRATE, handleRehydrate), _defineProperty(_handleActions, _reduxPersist.FLUSH, handleFlush), _defineProperty(_handleActions, _actions.onLocationChange, handleLocationChange), _handleActions), new _Router.Router());