'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.token = exports.action = exports.pathnameArr = exports.pathname = exports.location = undefined;

var _reselect = require('reselect');

var baseState = function baseState(state) {
  return state.router;
};

var location = exports.location = (0, _reselect.createSelector)(baseState, function (state) {
  return state.location;
});
var pathname = exports.pathname = (0, _reselect.createSelector)(location, function (location) {
  return location ? location.pathname : '/common';
});
var pathnameArr = exports.pathnameArr = (0, _reselect.createSelector)(pathname, function (pathname) {
  return pathname.split('/');
});
var action = exports.action = (0, _reselect.createSelector)(pathnameArr, function (arr) {
  return arr[1];
});
var token = exports.token = (0, _reselect.createSelector)(pathnameArr, function (arr) {
  return arr[2];
});