'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserRatios = exports.RatiosRecord = exports.Ratio = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _immutable = require('immutable');

var _Icon = require('../../lists/icons/Icon');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RatioRecord = (0, _immutable.Record)({
  color: '#47948a',
  currency_id: null,
  icon: new _Icon.Icon(),
  id: null,
  is_balance: true,
  name: null,
  balance: 0
}, 'Ratio');

var Ratio = exports.Ratio = function (_RatioRecord) {
  _inherits(Ratio, _RatioRecord);

  function Ratio(fields) {
    _classCallCheck(this, Ratio);

    var newFields = void 0;
    if (fields) {
      if (fields.icon_id) {
        newFields = _extends({}, fields, { icon: new _Icon.Icon({ id: fields.icon_id }) });
      } else {
        newFields = _extends({}, fields, { icon: new _Icon.Icon(fields.icon) });
      }
    }
    return _possibleConstructorReturn(this, (Ratio.__proto__ || Object.getPrototypeOf(Ratio)).call(this, newFields));
  }

  return Ratio;
}(RatioRecord);

var RatiosRecord = exports.RatiosRecord = (0, _immutable.Record)({
  isLoading: false,
  isLoaded: false,
  list: (0, _immutable.List)(),
  balance: 0
}, 'UserRatios');

var UserRatios = exports.UserRatios = function (_RatiosRecord) {
  _inherits(UserRatios, _RatiosRecord);

  function UserRatios() {
    _classCallCheck(this, UserRatios);

    return _possibleConstructorReturn(this, (UserRatios.__proto__ || Object.getPrototypeOf(UserRatios)).apply(this, arguments));
  }

  _createClass(UserRatios, [{
    key: 'rehydrate',
    value: function rehydrate() {
      this.setArrayField('list', Ratio, 'Ratio');
      return this;
    }
  }, {
    key: 'setArrayField',
    value: function setArrayField(field, RecordEntity, recordName) {
      if (this[field] && this[field].map) {
        this._map = this.set(field, this[field].map(function (el) {
          if (el._name !== recordName) {
            return new RecordEntity(el);
          }
          return el;
        }));
      }
    }
  }]);

  return UserRatios;
}(RatiosRecord);