'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserSpendings = exports.UserSpending = undefined;

var _immutable = require('immutable');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UserSpendingRecord = (0, _immutable.Record)({
  id: null,
  name: '',
  color: 'black',
  currency_id: null,
  icon_id: 1,
  parent_id: null,
  created_at: null,
  updated_at: null
}, 'UserSpending');

var UserSpending = exports.UserSpending = function (_UserSpendingRecord) {
  _inherits(UserSpending, _UserSpendingRecord);

  function UserSpending() {
    _classCallCheck(this, UserSpending);

    return _possibleConstructorReturn(this, (UserSpending.__proto__ || Object.getPrototypeOf(UserSpending)).apply(this, arguments));
  }

  return UserSpending;
}(UserSpendingRecord);

var UserSpendingsRecord = (0, _immutable.Record)({
  isLoading: false,
  list: (0, _immutable.List)()
}, 'UserSpendings');

var UserSpendings = exports.UserSpendings = function (_UserSpendingsRecord) {
  _inherits(UserSpendings, _UserSpendingsRecord);

  function UserSpendings() {
    _classCallCheck(this, UserSpendings);

    return _possibleConstructorReturn(this, (UserSpendings.__proto__ || Object.getPrototypeOf(UserSpendings)).apply(this, arguments));
  }

  return UserSpendings;
}(UserSpendingsRecord);