'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('./lib/entities/router/actions');

Object.keys(_actions).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _actions[key];
    }
  });
});

var _selectors = require('./lib/entities/router/selectors');

Object.keys(_selectors).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _selectors[key];
    }
  });
});

var _reducer = require('./lib/entities/router/reducer');

Object.defineProperty(exports, 'reducer', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_reducer).default;
  }
});

var _Router = require('./lib/entities/router/Router');

Object.defineProperty(exports, 'Router', {
  enumerable: true,
  get: function get() {
    return _Router.Router;
  }
});
Object.defineProperty(exports, 'Location', {
  enumerable: true,
  get: function get() {
    return _Router.Location;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }